<?php
/**
 * The Header for our theme.
 *
 * Displays all of the <head> section and everything up till <div id="content-vw">
 *
 * @package VW Construction Estate
 */

?><!DOCTYPE html>

<html <?php language_attributes(); ?>>

<head>
  <meta charset="<?php bloginfo( 'charset' ); ?>">
  <meta name="viewport" content="width=device-width">
  <link rel="profile" href="<?php echo esc_url( __( 'http://gmpg.org/xfn/11', 'vw-construction-estate' ) ); ?>">
  <?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
<?php wp_body_open(); ?>

<?php
  $vw_construction_estate_search_hide_show = get_theme_mod( 'vw_construction_estate_search_hide_show' );

    if ( 'Disable' == $vw_construction_estate_search_hide_show ) {
      $colmd = 'col-lg-12 col-md-12';
    } else { 
      $colmd = 'col-lg-9 col-md-7';
    } 
?>
<header role="banner">
  <a class="screen-reader-text skip-link" href="#maincontent"><?php esc_html_e( 'Skip to content', 'vw-construction-estate' ); ?></a>
  <div id="header">
    <?php if( get_theme_mod('vw_construction_estate_topbar_hide_show',true) != ''){ ?>
      <div class="row m-0">
        <div class="col-lg-3 col-md-3  socialicons">
          <?php dynamic_sidebar( 'social-icon' ); ?>
        </div>
        <div class="col-lg-9 col-md-9 top-header">
          <div class="row m-0">
            <div class="col-lg-3 col-md-3">
              <?php if( get_theme_mod( 'vw_construction_estate_location','' ) != '') { ?>
                <div class="row">
                  <div class="col-lg-2 col-md-3">
                    <i class="<?php echo esc_html(get_theme_mod('vw_construction_estate_location_icon','fas fa-map-marker-alt')); ?>"></i>
                  </div>
                  <div class="col-lg-10 col-md-9">
                    <p class="diff-lay"><?php echo esc_html( get_theme_mod('vw_construction_estate_location','') ); ?></p>
                    <p class="same-lay"><?php echo esc_html( get_theme_mod('vw_construction_estate_location1','') ); ?></p>
                  </div>
                </div>
              <?php }?>
            </div>
            <div class="col-lg-3 col-md-3">
              <?php if( get_theme_mod( 'vw_construction_estate_call','' ) != '') { ?>
                <div class="row">
                  <div class="col-lg-2 col-md-3">
                    <i class="<?php echo esc_html(get_theme_mod('vw_construction_estate_phone_icon','fas fa-tty')); ?>"></i>
                  </div>
                  <div class="col-lg-10 col-md-9">
                    <p class="diff-lay"><?php echo esc_html( get_theme_mod('vw_construction_estate_call','') ); ?></p>
                    <p class="same-lay"><?php echo esc_html( get_theme_mod('vw_construction_estate_call1','') ); ?></p>
                  </div>
                </div>
              <?php }?>
            </div>
            <div class="col-lg-3 col-md-3">
              <?php if( get_theme_mod( 'vw_construction_estate_mail','' ) != '') { ?>
                <div class="row">
                  <div class="col-lg-2 col-md-3">
                    <i class="<?php echo esc_html(get_theme_mod('vw_construction_estate_email_icon','far fa-envelope-open')); ?>"></i>
                  </div>
                  <div class="col-lg-10 col-md-9">
                    <p class="diff-lay"><?php echo esc_html( get_theme_mod('vw_construction_estate_mail','') ); ?></p>
                    <p class="same-lay"><?php echo esc_html( get_theme_mod('vw_construction_estate_mail1','') ); ?></p>
                  </div>
                </div>
              <?php }?>        
            </div>
            <div class="col-lg-3 col-md-3">
              <?php if( get_theme_mod( 'vw_construction_estate_time','' ) != '') { ?>
                <div class="row">
                  <div class="col-lg-2 col-md-3">
                    <i class="<?php echo esc_html(get_theme_mod('vw_construction_estate_contact_icon','far fa-clock')); ?>"></i>
                  </div>
                  <div class="col-lg-10 col-md-9">
                    <p class="diff-lay"><?php echo esc_html( get_theme_mod('vw_construction_estate_time','') ); ?></p>
                    <p class="same-lay"><?php echo esc_html( get_theme_mod('vw_construction_estate_time1','') ); ?></p>
                  </div>
                </div>
              <?php }?>
            </div>
          </div>
        </div>
        <div class="clearfix"></div>
      </div>
    <?php } ?>
    <div class="header-menu <?php if( get_theme_mod( 'vw_construction_estate_sticky_header') != '') { ?> header-sticky"<?php } else { ?>close-sticky <?php } ?>">
      <div class="row m-0">
        <div class=" col-lg-3 col-md-3">
          <div class="logo">
            <?php if ( has_custom_logo() ) : ?>
              <div class="site-logo"><?php the_custom_logo(); ?></div>
            <?php endif; ?>
            <?php $blog_info = get_bloginfo( 'name' ); ?>
              <?php if ( ! empty( $blog_info ) ) : ?>
                <?php if ( is_front_page() && is_home() ) : ?>
                  <h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
                <?php else : ?>
                  <p class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></p>
                <?php endif; ?>
              <?php endif; ?>
              <?php
                $description = get_bloginfo( 'description', 'display' );
                if ( $description || is_customize_preview() ) :
              ?>
              <p class="site-description">
                <?php echo $description; ?>
              </p>
            <?php endif; ?>
          </div>
        </div>
        <div class="col-lg-9 col-md-9 menu-searh">
          <div class="row m-0">
            <div class="<?php echo esc_html( $colmd ); ?>">
              <div class="menu">
                 <div class="toggle-nav mobile-menu">
                  <button onclick="menu_openNav()"><i class="<?php echo esc_html(get_theme_mod('vw_construction_estate_res_open_menu_icon','fas fa-bars')); ?>"></i><span class="screen-reader-text"><?php esc_html_e('Open Button','vw-construction-estate'); ?></span></button>
                </div>
                <div id="mySidenav" class="nav sidenav">
                  <nav id="site-navigation" class="main-navigation" role="navigation" aria-label="<?php esc_attr_e( 'Top Menu', 'vw-construction-estate' ); ?>">
                    <a href="javascript:void(0)" class="closebtn mobile-menu" onclick="menu_closeNav()"><i class="<?php echo esc_html(get_theme_mod('vw_construction_estate_res_close_menu_icon','fas fa-times')); ?>"></i><span class="screen-reader-text"><?php esc_html_e('Close Button','vw-construction-estate'); ?></span></a>
                    <?php 
                      wp_nav_menu( array( 
                        'theme_location' => 'primary',
                        'container_class' => 'main-menu clearfix' ,
                        'menu_class' => 'clearfix',
                        'items_wrap' => '<ul id="%1$s" class="%2$s mobile_nav">%3$s</ul>',
                        'fallback_cb' => 'wp_page_menu',
                      ) ); 
                    ?>
                  </nav>
                </div>
              </div>
            </div>
            <?php if ( 'Disable' != $vw_construction_estate_search_hide_show ) {?>
              <div class="search-box col-lg-3 col-md-5">
                <?php get_search_form(); ?>
              </div>
            <?php } ?>
         </div>
        </div>
        <div class="clearfix"></div>
      </div>
    </div>
  </div>
</header>

<?php if(get_theme_mod('vw_construction_estate_loader_enable',true)==1){ ?>
  <div id="preloader">
    <div id="status">
      <?php $theme_lay = get_theme_mod( 'vw_construction_estate_loader_icon','Two Way');
        if($theme_lay == 'Two Way'){ ?>
        <img src="<?php echo esc_url(get_template_directory_uri()); ?>/images/two-way.gif" alt="" role="img"/>
      <?php }else if($theme_lay == 'Dots'){ ?>
        <img src="<?php echo esc_url(get_template_directory_uri()); ?>/images/dots.gif" alt="" role="img"/>
      <?php }else if($theme_lay == 'Rotate'){ ?>
        <img src="<?php echo esc_url(get_template_directory_uri()); ?>/images/rotate.gif" alt="" role="img"/>          
      <?php } ?>
    </div>
  </div>
<?php } ?>